Loading...
Searching...
No Matches
devsettings::Modbus Interface Reference

Modbus service settings interface More...

`import <Modbus.idl;`

## Classes

struct | Capabilities
| Device modbus capabilities. More...
struct | SerialSettings
| Modbus/serial settings. More...
struct | Settings
| Modbus service settings More...
struct | TcpSettings
| Modbus/TCP settings. More...

## Public Types

enum | Parity { NONE , EVEN , ODD }
| Serial line parity. More...

## Public Member Functions

Capabilities | getCapabilities ()
| Retrieve the device Modbus capabilities.
Settings | getSettings ()
| Retrieve the Modbus service settings.
int | setSettings (in Settings settings)
| Set the Modbus service settings.

## Public Attributes

constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.

## Detailed Description

Modbus service settings interface

Definition at line 12 of file Modbus.idl.

## Member Enumeration Documentation

## Parity

enum devsettings::Modbus::Parity

Serial line parity.

Definition at line 39 of file Modbus.idl.

## Member Function Documentation

## getCapabilities()

Capabilities devsettings::Modbus::getCapabilities | ( |  | ) |

Retrieve the device Modbus capabilities.

Returns
  Modbus capbilities

## getSettings()

Settings devsettings::Modbus::getSettings | ( |  | ) |

Retrieve the Modbus service settings.

Returns
  Modbus service settings

## setSettings()

int devsettings::Modbus::setSettings | ( | in Settings | settings | ) |

Set the Modbus service settings.

Parameters

  settings | New settings

Returns
  0 if OK
  1 if any parameters are invalid

## Member Data Documentation

## ERR_INVALID_PARAM

constant int devsettings::Modbus::ERR_INVALID_PARAM = 1

Invalid parameters.

Definition at line 14 of file Modbus.idl.

The documentation for this interface was generated from the following file:

- Modbus.idl